Bug 74659 - up2date traceback on break
up2date traceback on break
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.3
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-29 21:07 EDT by Gigs
Modified: 2015-01-07 19:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-06 18:46:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gigs 2002-09-29 21:07:25 EDT
Description of Problem:
up2date will traceback rather than showing the proper error message if it 
loses its stdout, e.g. when piping output to "more" and hit ctrl-C

Version-Release number of selected component (if applicable):
up2date-2.7.86-7.x.3

How Reproducible:
Always, but seemingly variable error messages

Steps to Reproduce:
1. up2date --showall | more
2. ctrl-C after output begins
3. 

Actual Results:
[root@xxxxx root]# Traceback (innermost last):
  File "/usr/sbin/up2date", line 1171, in ?
    print "\nAborted."
IOError: [Errno 32] Broken pipe

or

Traceback (innermost last):
  File "/usr/sbin/up2date", line 1177, in ?
    print _("There was some sort of I/O error: %s") % e
IOError: [Errno 32] Broken pipe

Expected Results:


Additional Information:
Comment 1 Adrian Likins 2002-10-01 17:59:31 EDT
hmm, yes. Tracebacks bad. 

Will take a look at adding support for catching stdout going away.
Comment 2 Adrian Likins 2003-08-06 18:46:50 EDT
fixed a while ago. rh8/9 versions and later should handle this
gracefully. 

Note You need to log in before you can comment on or make changes to this bug.